Skip to main content
POST
/
graphql#ListWarehouseRoutes
List warehouse routes
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListWarehouseRoutes' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: WarehouseRouteFilterType) { warehouse_routes { all(filter: $filter) { edges { node { id position product { id code } warehouse { id code } account { id code } customer { id code } } } } } }"
}
'
{
  "data": {
    "warehouse_routes": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "1024",
              "position": 1,
              "product": {
                "id": "5567",
                "code": "WIDGET-BLUE-M"
              },
              "warehouse": {
                "id": "12",
                "code": "MAN"
              },
              "account": {
                "id": "44",
                "code": "ACME"
              },
              "customer": {
                "id": "318",
                "code": "NORTH01"
              }
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: WarehouseRouteFilterType) {
  warehouse_routes {
    all(filter: $filter) {
      edges {
        node {
          id
          position
          product {
            id
            code
          }
          warehouse {
            id
            code
          }
          account {
            id
            code
          }
          customer {
            id
            code
          }
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
  "filter": {
    "product_id": {
      "eq": "value"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
product_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledProduct ID
product_codeStringInputTypeeq, ilike, like, in, betweenProduct code
warehouse_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledWarehouse ID
account_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledAccount ID
customer_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledCustomer ID
positionIntegerInputTypeeq, gt, gteq, lt, lteq, betweenRoute position
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: WarehouseRouteFilterType) { warehouse_routes { all(filter: $filter) { edges { node { id position product { id code } warehouse { id code } account { id code } customer { id code } } } } } }"

variables
object

Query variables including the filter object

Example:
{
"filter": { "product_code": { "ilike": "WIDGET" } }
}

Response

Successful GraphQL response

data
object
errors
object[]